global: Get global cryptocurrency data

API: coingecko.com:coingecko-api
Endpoint: /global
Response format: application/json
Charset: utf-8
Auth: none
Method: GET
Last Status: 200
Latency: 397ms

Description

Get global cryptocurrency market overview statistics including total market cap, 24-hour volume, number of active cryptocurrencies, and market dominance percentages. Use this for market summary dashboards and to understand overall market conditions.

From spec: Get cryptocurrency global data including active cryptocurrencies, markets, total crypto market cap and etc.

Usage Tips

- `total_market_cap` and `total_volume` are objects with values per currency - `market_cap_percentage` shows BTC and ETH dominance percentages - `active_cryptocurrencies` gives total tracked coins - `market_cap_change_percentage_24h_usd` shows overall market trend - `updated_at` is a Unix timestamp of last data update

Examples (1)

Get Global Crypto Market Data curl

Get global cryptocurrency market statistics and overview

curl 'https://api.coingecko.com/api/v3/global' \
  -d '{"status": {"error_code": 429, "error_message": "You've exceeded the Rate Limit. Please visit https://www.coingecko.com/en/api/pricing to subscribe to our API plans for higher rate limits."}}'
import requests

resp = requests.get(
    "https://api.coingecko.com/api/v3/global",
    json={
        'status': {'error_code': 429, 'error_message': "You've exceeded the Rate Limit. Please visit https://www.coingecko.com/en/api/pricing to subscribe to our API plans for higher rate limits."},
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("coingecko")
result = api.fetch("global")

for item in result:
    print(item)
const body = {
  "status": {
    "error_code": 429,
    "error_message": "You've exceeded the Rate Limit. Please visit https://www.coingecko.com/en/api/pricing to subscribe to our API plans for higher rate limits."
  }
};

const resp = await fetch("https://api.coingecko.com/api/v3/global", {
  body: JSON.stringify(body),
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:12:49.882039 200 397ms
2026-04-16 04:17:11.424500 200 261ms
2026-04-15 01:19:24.883043 200 218ms
2026-04-14 01:10:21.401413 200 255ms
2026-04-12 13:27:26.259595 200 254ms
2026-04-10 02:36:48.053704 200 288ms
2026-04-09 02:35:55.549389 200 250ms
2026-04-05 18:58:50.365073 ERR
2026-04-05 00:30:49.572262 200 278ms
2026-04-04 02:25:03.145907 200 251ms
2026-04-03 12:36:02.476753 200 272ms
2026-03-30 02:38:21.120603 200 251ms
2026-03-29 13:08:34.385184 200 234ms
2026-03-23 10:31:05.306535 200 223ms